%define api 1.0
%define name rygel
%define version 0.6.0
%define release %mkrel 1
%define __libtoolize /bin/true

Summary:        A UPnP v2 Media Server
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Video
License:        LGPLv2+
URL:            http://live.gnome.org/Rygel
Source:        ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: dbus-glib-devel
BuildRequires: desktop-file-utils
BuildRequires: libgstreamer0.10_0.10-devel
BuildRequires: gtk2-devel
BuildRequires: pkgconfig
BuildRequires: gupnp-devel >= 0.13.3
BuildRequires: libgupnp-av-devel >= 0.5.5
BuildRequires: gupnp-vala
BuildRequires: libgee-devel
BuildRequires: libsoup-devel
BuildRequires: libuuid-devel
BuildRequires: sqlite-devel
BuildRequires: vala-devel
BuildRequires: vala-tools

%description
Rygel is an implementation of the UPnP MediaServer V 2.0 specification that is 
specifically designed for GNOME. It is based on GUPnP and is written (mostly) 
in Vala language. The project was previously known as gupnp-media-server. 

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}


%description devel
Files for development with %{name}.

%package tracker
Summary: Tracker plugin for %{name}
Group: Video
Requires: %{name} = %{version}-%{release}
Requires: tracker


%description tracker
A plugin for rygel to use tracker to locate media on the local machine.

%prep
%setup -q

%build
%configure2_5x --enable-tracker-plugin \
               --enable-media-export-plugin \
               --enable-external-plugin \
               --enable-mediathek-plugin \
               --enable-gst-launch-plugin \
               --disable-silent-rules

%make 

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}-preferences.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Rygel Preferences
Comment=Rygel Preferences
Exec=rygel-preferences
Icon=video_section.png
Terminal=false 
Type=Application
Categories=Settings;X-GNOME-PersonalSettings;X-MandrivaLinux-Multimedia-Sound;
EOF
%find_lang %{name}

find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO NEWS
%config(noreplace) %{_sysconfdir}/rygel.conf
%{_bindir}/%{name}
%{_bindir}/%{name}-preferences
%{_libdir}/%{name}-%api/librygel-external.so
%{_libdir}/%{name}-%api/librygel-media-export.so
%{_libdir}/%{name}-%api/librygel-gst-launch.so
%{_libdir}/%{name}-%api/librygel-gst-renderer.so
%{_libdir}/%{name}-%api/librygel-mediathek.so
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.gnome.Rygel1.service
%{_datadir}/icons/hicolor/*/apps/*


%files tracker
%defattr(-,root,root,-)
%{_libdir}/rygel-%api/librygel-media-tracker.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-%api
%{_libdir}/pkgconfig/%{name}-%api.pc
%{_datadir}/vala/vapi/%{name}-%api.deps
%{_datadir}/vala/vapi/%{name}-%api.vapi

%changelog
* Sat May 15 2010 slick50 <lxgator@gmail.com> 0.6.0-1pclos2010
- 0.6.0

* Tue Feb 23 2010 slick50 <lxgator@gmail.com> 0.5.0-1pclos2010
- 0.5.0

* Sun Jan 24 2010 slick50 <lxgator@gmail.com> 0.4.10-1pclos2010
- 0.4.10

* Sat Nov 21 2009 slick50 <lxgator@gmail.com> 0.4.6-1pclos2010
- initial build

